# Oso Cloud Client for Python

[![Slack][badge-slack]][badge-slack-link]

The Oso Cloud client for Python provides a convenient wrapper around the Oso
Cloud HTTP API for applications and services written in Python.

## What is Oso Cloud?
Oso Cloud is authorization-as-a-service. It provides abstractions for building
and iterating on authorization in your application – based on years of work
with hundreds of engineering teams.

- Model: Build your authorization model using primitives for common patterns
  like multi-tenancy and RBAC. Express custom rules using Polar, a
  declarative policy language for authorization.

- Store: Store your authorization data using a best-practices data model and
  use it for access decisions across all of your services.

- Enforce & Query: Add enforcement calls to your application to perform
  yes/no permission checks, filter resources by permissions, list a user's
  roles, and show/hide pieces of your UI.

- Test & Watch: Write tests over your authorization policies before you push
  them live. See logs of authorization decisions in real time.

For more information on  how Oso Cloud works and how it fits into your
architecture, check out the
[introduction](https://www.osohq.com/docs/get-started/what-is-oso-cloud).

## Documentation
- To get up and running with Oso Cloud, try the
  [Quickstart guide](https://www.osohq.com/docs/get-started/quickstart).
- For method-level documentation, see the
  [Python Client API documentation](https://www.osohq.com/docs/reference/client-apis/python).
- Full documentation is available at
  [osohq.com/docs](https://www.osohq.com/docs).
- To learn about authorization best practices (not specific to Oso), read the
  [Authorization Academy](https://www.osohq.com/developers/authorization-academy)
  guides.

## Community & Support

If you have any questions on Oso Cloud or authorization more generally, you can
join our engineering team & hundreds of other developers using Oso in our
community Slack:

[![Button][join-slack-link]][badge-slack-link]

[join-slack-link]: https://user-images.githubusercontent.com/282595/128394344-1bd9e5b2-e83d-4666-b446-2e4f431ffcea.png
[badge-slack]: https://img.shields.io/badge/slack-oso--oss-orange
[badge-slack-link]: https://join-slack.osohq.com/

